'''
定义表的结构，并在数据库中创建对应的数据表
'''
__author__ = 'lmstack'

from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy import Column, String, create_engine, Integer, DateTime, BigInteger, FLOAT, TIMESTAMP, func
from urllib import parse
Base = declarative_base()


class ConsistencyDeltaSoc(Base):
    __tablename__ = "consistency_leak_current"
    __table_args__ = ({'comment': '电池一致性：漏电流'})  # 添加索引和表注释

    id = Column(Integer, primary_key=True, autoincrement=True, comment="主键")
    add_time = Column(TIMESTAMP(True), server_default=func.now()) # 创建时间
    update_time = Column(TIMESTAMP(True), nullable=False, server_default=func.now(), onupdate=func.now()) # 更新时间
    sn = Column(String(64), comment="sn")
    time = Column(DateTime, comment="时间")
    cell1 = Column(FLOAT, comment="cell1")
    cell2 = Column(FLOAT, comment="cell2")
    cell3 = Column(FLOAT, comment="cell3")
    cell4 = Column(FLOAT, comment="cell4")
    cell5 = Column(FLOAT, comment="cell5")
    cell6 = Column(FLOAT, comment="cell6")
    cell7 = Column(FLOAT, comment="cell7")
    cell8 = Column(FLOAT, comment="cell8")
    cell9 = Column(FLOAT, comment="cell9")
    cell10 = Column(FLOAT, comment="cell10")
    cell11 = Column(FLOAT, comment="cell11")
    cell12 = Column(FLOAT, comment="cell12")
    cell13 = Column(FLOAT, comment="cell13")
    cell14 = Column(FLOAT, comment="cell14")
    cell15 = Column(FLOAT, comment="cell15")
    cell16 = Column(FLOAT, comment="cell16")
    cell17 = Column(FLOAT, comment="cell17")
    cell18 = Column(FLOAT, comment="cell18")
    cell19 = Column(FLOAT, comment="cell19")
    cell20 = Column(FLOAT, comment="cell20")



    # def __init__(self, sn, current, time_stamp, pack_state, line_state):
    #     self.sn = sn
    #     self.current = current
    #     self.time_stamp = time_stamp
    #     self.pack_state = pack_state
    #     self.line_state = line_state

# 执行该文件，创建表格到对应的数据库中
if __name__ == "__main__":
    host = 'rm-bp10j10qy42bzy0q77o.mysql.rds.aliyuncs.com'
    port = 3306
    user = 'qx_cas'
    password = parse.quote_plus('Qx@123456')
    database = 'qx_cas'
    
    db_engine = create_engine(
        "mysql+pymysql://{}:{}@{}:{}/{}?charset=utf8".format(
            user, password, host, port, database
        ))
    Base.metadata.create_all(db_engine)